package com.redxun.knowledge.map.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.beans.factory.annotation.Autowired;

import java.io.Serializable;

/**
 * 文件名: OsUserVo
 * 作者: Zizg
 * 时间: 2023/2/1
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@ApiModel("员工信息Vo")
@Data
public class OsUserVo implements Serializable {

    @ApiModelProperty("员工Id")
    private String userId;

    @ApiModelProperty("员工姓名")
    private String fullName;

    @ApiModelProperty("员工工号")
    private String userNo;

    @ApiModelProperty("所属组织")
    private String groupSummary;

    @ApiModelProperty("员工职位")
    private String positionGrade;

}
